#ifndef _SERUTIL_H_
#define _SERUTIL_H_

#define SER_BUF_LEN 320

typedef struct {
  char host[64];
  /* private */
  int type;
} SerChannel;

SerChannel *SerOpen(const char *host, int msecTmo, int (*idleHdl)(int,int));
char *SerCmd(SerChannel *ser, char *cmnd);
int SerSetTmo(SerChannel *ser, int msecTmo);
SerChannel *SerCheck(SerChannel *ser);
void SerClose(SerChannel *ser);

/* char *SerCmdC(SerChannel *ser, const char *cmnd); */

#endif /* _SERUTIL_H_ */
